Dragon = {
	Description = "Dragon",

	Char	= "D",

	HP		= 350,

	AttackRating = 80,
	DefenseRating = 50,

	Inventory = {
		Weapon = { MinDamage = 300, DamageRange = 50 },
		Armor = { MinArmor = 200, ArmorRange = 40 }
	},

	Level	= 14
}

function Dragon:Update()
	UpdateMonster( self )
end

function Dragon:BumpInto()
	CalculateDamage( Hero, self )

	SyncObject( Hero )
end

function Dragon:Death()
	PrintLog( "The dragon breathes fire one last time and dies." )

	DropItems( self )

	CalculateExp( self )
end
